
#include "LS022_Driver.h"
/*----------------------------------------------------------------------------------------------------------------------
function:               Line
description:            draw line by Bresenham algorithm 
input:                  Xstart,Ystart - line start coordinates
                        Xend,Yend - line end coordinates
output:                 none
----------------------------------------------------------------------------------------------------------------------*/
void Line(int, int, int, int);
/*----------------------------------------------------------------------------------------------------------------------
function:               Circle
description:            draw circle by Bresenham algorithm 
input:                  x,y - center coordinates
                        r - radius of circle
output:                 none
----------------------------------------------------------------------------------------------------------------------*/
void Circle(int, int, int);

/*----------------------------------------------------------------------------------------------------------------------
function:               SetColor
description:            set current foreground and background colors
input:                  Forecol - current foreground color
                        BackCol - current background color
output:                 none
----------------------------------------------------------------------------------------------------------------------*/
void SetColor(unsigned int, unsigned int);

/*----------------------------------------------------------------------------------------------------------------------
function:               Rectangle
description:            draw rectangle
input:                  x,y - upper left corner coordinates
                        width - width of rectangle
                        height -height of rectangle
                        Filled - if =1 - rectangle is filled
output:                 none
----------------------------------------------------------------------------------------------------------------------*/
void Rectangle(unsigned int, unsigned int, unsigned int, unsigned int, unsigned char);
/*----------------------------------------------------------------------------------------------------------------------
function:               Window
description:            draw windows95 like window 
input:                  x,y - upper left corner coordinates
                        width - width of window
                        height -height of window
                        header - pointer to window header string 
output:                 none
----------------------------------------------------------------------------------------------------------------------*/
void Window(unsigned int, unsigned int, unsigned int, unsigned int, char *);
/*----------------------------------------------------------------------------------------------------------------------
function:               Grid
description:            draw scope like grid
input:                  type - if =1 - draws center of screen lines 
output:                 none
----------------------------------------------------------------------------------------------------------------------*/
void Grid(char type);
/*----------------------------------------------------------------------------------------------------------------------
function:               PutStr
description:            put string to display
input:                  x,y - position of text start
                        *str - pointer to string to output
output:                 none
----------------------------------------------------------------------------------------------------------------------*/
void PutStr(unsigned int, unsigned int ,char *);


